.TH TRYTOND-WORKER 1 "2021\-10\-17" "6.0" "Tryton Application Platform"
.SH NAME
trytond-cron \- Tryton Application Platform (Worker)
.SH SYNOPSIS
\fBtrytond-worker\fR
.SH DESCRIPTION
Tryton is a high-level general purpose application platform written in Python and using PostgreSQL as database engine. It is the core base of an ERP.
.sp
This script runs the dedicated worker part of the server.
.SH OPTIONS
Usage: trytond-worker [options]
.PP
.PD 0
.TP 20
.BI \--version
show program's version number and exit
.TP
.B \-h, --help
show this help message and exit
.TP
.B \-c FILE [FILE ...], --config FILE [FILE ...]
specify configuration files
.TP
.B \--dev
enable development mode (caching disabled)
.TP
.B \-v, --verbose
enable verbose mode
.TP
.B \-d DATABASE [DATABASE ...], --database DATABASE [DATABASE ...]
specify the database name
.TP
.B \--pidfile FILE
file where the server pid will be stored
.TP
.B \--logconf FILE
logging configuration file (ConfigParser format)
.TP
.B \--name NAME
work only on the named queue
.TP
.B \--max MAXTASKSPERCHILD
number of tasks a worker process before being replaced
.TP
.B \-n PROCESSES
number of processes to use
.TP
.B \-t TIMEOUT, --timeout TIMEOUT
maximum timeout when waiting notification
.sp
.SH FILES
\fB/etc/tryton/trytond.conf\fR,
\fB/etc/tryton/trytond_log.conf\fR
.sp
.SH SEE ALSO
\fItrytond\fR(1),
\fItrytond-admin\fR(1),
\fItrytond-console\fR(1),
\fItrytond-cron\fR(1),
\fItrytond-worker\fR(1),
\fItryton\fR(1)
.sp
.sp
.SH HOMEPAGE
More information the Tryton project can be found at <\fIhttp://www.tryton.org/\fR>.
.sp
.SH AUTHOR
Tryton server was written by the Tryton project <\fIhttp://www.tryton.org/\fR>.
.PP
This manual page was written by Mathias Behrle <\fImbehrle@debian.org\fR>.

